local addonName, vars = ...
vars.svnrev = {}
vars.svnrev["glyphdata.lua"] = tonumber(("$Revision: 126 $"):match("%d+"))

vars.glyphlevel = { 
  [1] = 25, -- minor
  [2] = 25, -- major
  [3] = 50, -- minor
  [4] = 50, -- major
  [5] = 75, -- minor
  [6] = 75, -- major
}

vars.glyphdata = {

-- Warrior  1 = Arms, 2 = Fury, 3 = Protection
  -- [485] = ,    	-- [Long Charge]
  -- [487] = ,    	-- [Unending Rage]
     [489] = 1,    	-- [Mortal Strike] (Arms)
  -- [491] = ,    	-- [Enraged Speed]
     [492] = 3,    	-- [Hindering Strikes] (Protection)
     [494] = 2,    	-- [Bloodthirst] (Fury)
  -- [495] = ,    	-- [Rude Interruption]
  -- [496] = ,    	-- [Gag Order]
  -- [497] = ,    	-- [Blitz]
     [499] = {1,2},    	-- [Die by the Sword] (Arms, Fury)
     [502] = 3,    	-- [Shield Slam] (Protection)
     [505] = 1,    	-- [Sweeping Strikes] (Arms)
     [507] = {1,3},    	-- [Resonating Power] (Arms, Protection)
  -- [508] = ,    	-- [Victory Rush]
     [509] = 2,    	-- [Raging Wind] (Fury)
  -- [762] = ,    	-- [Wind and Thunder]
  -- [763] = ,    	-- [Death From Above]
  -- [764] = ,    	-- [Victorious Throw]
  -- [766] = ,    	-- [Spell Reflection]
     [767] = 3,    	-- [Shield Wall] (Protection)
  -- [931] = ,    	-- [Bull Rush]
     [932] = {1,2},    	-- [Recklessness] (Arms, Fury)
  -- [1073] = ,    	-- [Executor]
     [1181] = 3,    	-- [Cleave] (Protection)
     [1182] = {1,2},    -- [Drawn Sword] (Arms, Fury)
  -- [1183] = ,    	-- [Heroic Leap]
  -- [1184] = ,    	-- [Mocking Banner]
     [1185] = 2,    	-- [Raging Blow] (Fury)
     [1186] = {1,2},    -- [Rallying Cry] (Arms, Fury)
     [1187] = {1,2},    -- [Shattering Throw] (Arms, Fury)
     [1188] = {1,2},    -- [Flawless Defense] (Arms, Fury)

-- Warlock  1 = Affliction, 2 = Demonology, 3 = Destruction
     [273] = 3,    	-- [Conflagrate] (Destruction)
  -- [274] = ,    	-- [Siphon Life]
  -- [277] = ,    	-- [Fear]
  -- [279] = ,    	-- [Demon Training]
  -- [281] = ,    	-- [Healthstone]
     [284] = 2,    	-- [Imp Swarm] (Demonology)
  -- [289] = ,    	-- [Soulstone]
     [291] = 1,    	-- [Unstable Affliction] (Affliction)
  -- [478] = ,    	-- [Soul Consumption]
     [755] = {1,2},    	-- [Drain Life] (Affliction, Demonology)
     [757] = 3,    	-- [Ember Tap] (Destruction)
  -- [758] = ,    	-- [Demonic Circle]
  -- [759] = ,    	-- [Unending Resolve]
     [760] = {1,2},    	-- [Life Tap] (Affliction, Demonology)
  -- [911] = ,    	-- [Eternal Resolve]
     [1071] = 3,    	-- [Havoc] (Destruction)
  -- [1173] = ,    	-- [Dark Soul]
     [1175] = {1,2},    -- [Life Pact] (Affliction, Demonology)
     [1177] = 2,    	-- [Shadowflame] (Demonology)
     [1178] = 1,    	-- [Soul Swap] (Affliction)
  -- [1180] = ,    	-- [Strengthened Resolve]

-- Shaman  1 = Elemental, 2 = Enhancement, 3 = Restoration
     [211] = 3,    	-- [Water Shield] (Restoration)
     [212] = 1,    	-- [Unstable Earth] (Elemental)
  -- [213] = ,    	-- [Chain Lightning]
     [214] = 2,    	-- [Spirit Walk] (Enhancement)
  -- [215] = ,    	-- [Capacitor Totem]
  -- [216] = ,    	-- [Purge]
  -- [217] = ,    	-- [Fire Elemental Totem]
     [218] = 2,    	-- [Fire Nova] (Enhancement)
  -- [219] = ,    	-- [Flame Shock]
  -- [220] = ,    	-- [Wind Shear]
  -- [221] = ,    	-- [Frost Shock]
  -- [222] = ,    	-- [Healing Stream Totem]
     [223] = 3,    	-- [Healing Wave] (Restoration)
  -- [224] = ,    	-- [Totemic Recall]
  -- [227] = ,    	-- [Grounding Totem]
     [228] = {1,3},    	-- [Spiritwalker's Grace] (Elemental, Restoration)
     [230] = 3,    	-- [Chaining] (Restoration)
  -- [231] = ,    	-- [Cleansing Waters]
  -- [552] = ,    	-- [Ghost Wolf]
     [735] = 1,    	-- [Thunder] (Elemental)
     [736] = 2,    	-- [Feral Spirit] (Enhancement)
     [737] = 3,    	-- [Riptide] (Restoration)
     [752] = {1,2},    	-- [Shamanistic Rage] (Elemental, Enhancement)
  -- [753] = ,    	-- [Hex]
  -- [754] = ,    	-- [Totemic Vigor]
     [950] = {1,2},    	-- [Lightning Shield] (Elemental, Enhancement)
     [1069] = 2,    	-- [Purging] (Enhancement)
     [1070] = 3,    	-- [Eternal Earth] (Restoration)
     [1163] = 2,    	-- [Ephemeral Spirits] (Enhancement)
  -- [1165] = ,    	-- [Grounding]
     [1166] = 2,    	-- [Lava Spread] (Enhancement)
     [1167] = {1,2},    -- [Reactive Shielding] (Elemental, Enhancement)
     [1168] = {1,2},    -- [Shamanistic Resolve] (Elemental, Enhancement)
  -- [1169] = ,    	-- [Shocks]
     [1170] = {1,3},    -- [Spiritwalker's Focus] (Elemental, Restoration)
     [1171] = {1,3},    -- [Spiritwalker's Aegis] (Elemental, Restoration)
  -- [1201] = ,    	-- [Frostbrand Weapon]
     [1207] = 3,    	-- [Purify Spirit] (Restoration)

-- Death Knight  1 = Blood, 2 = Frost, 3 = Unholy
  -- [512] = ,    	-- [Anti-Magic Shell]
  -- [515] = ,    	-- [Icebound Fortitude]
  -- [516] = ,    	-- [Chains of Ice]
  -- [519] = ,    	-- [Death Grip]
  -- [520] = ,    	-- [Death and Decay]
  -- [521] = ,    	-- [Shifting Presences]
  -- [524] = ,    	-- [Icy Touch]
  -- [525] = ,    	-- [Enduring Infection]
  -- [526] = ,    	-- [Blood Boil]
  -- [527] = ,    	-- [Mind Freeze]
  -- [530] = ,    	-- [Strangulate]
     [531] = 2,    	-- [Pillar of Frost] (Frost)
     [532] = 1,    	-- [Vampiric Blood] (Blood)
  -- [556] = ,    	-- [Unholy Command]
  -- [557] = ,    	-- [Outbreak]
     [768] = 1,    	-- [Dancing Rune Weapon] (Blood)
  -- [769] = ,    	-- [Dark Simulacrum]
     [771] = {1,3},    	-- [Death Coil] (Blood, Unholy)
  -- [1063] = ,    	-- [Swift Death]
  -- [1065] = ,    	-- [Regenerative Magic]
  -- [1109] = ,    	-- [Absorb Magic]
     [1110] = 3,    	-- [Ice Reaper] (Unholy)
  -- [1111] = ,    	-- [Icy Runes]
     [1112] = {2,3},    -- [Empowerment] (Frost, Unholy)
  -- [1114] = ,    	-- [Raise Ally]
     [1115] = 1,    	-- [Rune Tap] (Blood)
  -- [1116] = ,    	-- [Runic Power]

-- Mage  1 = Arcane, 2 = Fire, 3 = Frost
     [313] = 1,    	-- [Arcane Explosion] (Arcane)
  -- [314] = ,    	-- [Blink]
     [316] = 2,    	-- [Combustion] (Fire)
  -- [318] = ,    	-- [Frost Nova]
  -- [321] = ,    	-- [Ice Block]
     [322] = 3,    	-- [Splitting Ice] (Frost)
     [323] = {1,3},    	-- [Cone of Cold] (Arcane, Frost)
  -- [325] = ,    	-- [Rapid Displacement]
  -- [329] = ,    	-- [Polymorph]
     [330] = 3,    	-- [Icy Veins] (Frost)
  -- [331] = ,    	-- [Spellsteal]
     [591] = 2,    	-- [Frostfire Bolt] (Fire)
  -- [611] = ,    	-- [Remove Curse]
     [651] = 1,    	-- [Arcane Power] (Arcane)
     [696] = 3,    	-- [Water Elemental] (Frost)
     [697] = 1,    	-- [Slow] (Arcane)
     [700] = 3,    	-- [Deep Freeze] (Frost)
  -- [871] = ,    	-- [Counterspell]
     [928] = 2,    	-- [Inferno Blast] (Fire)
     [1133] = 2,    	-- [Dragon's Breath] (Fire)
  -- [1134] = ,    	-- [Regenerative Ice]

-- Rogue  1 = Assassination, 2 = Combat, 3 = Subtlety
  -- [392] = ,    	-- [Ambush]
     [394] = 2,    	-- [Blade Flurry] (Combat)
  -- [396] = ,    	-- [Recuperate]
  -- [397] = ,    	-- [Evasion]
  -- [398] = ,    	-- [Recovery]
  -- [400] = ,    	-- [Feint]
  -- [401] = ,    	-- [Garrote]
  -- [403] = ,    	-- [Gouge]
  -- [405] = ,    	-- [Smoke Bomb]
  -- [406] = ,    	-- [Cheap Shot]
     [407] = 3,    	-- [Hemorrhaging Veins] (Subtlety)
  -- [410] = ,    	-- [Shiv]
  -- [411] = ,    	-- [Sprint]
     [714] = 1,    	-- [Vendetta] (Assassination)
  -- [716] = ,    	-- [Stealth]
  -- [731] = ,    	-- [Deadly Momentum]
  -- [734] = ,    	-- [Cloak of Shadows]
  -- [924] = ,    	-- [Vanish]
  -- [926] = ,    	-- [Kick]
  -- [929] = ,    	-- [Blind]
  -- [1159] = ,    	-- [Energy]
  -- [1160] = ,    	-- [Elusiveness]
  -- [1161] = ,    	-- [Energy Flows]
     [1162] = {1,2},    	-- [Disappearance] (Assassination, Combat)

-- Druid  1 = Balance, 2 = Feral, 3 = Guardian, 4 = Restoration
     [162] = 3,    	-- [Maul] (Guardian)
     [163] = 1,    	-- [Entangling Energy] (Balance)
     [167] = 2,    	-- [Rake] (Feral)
  -- [170] = ,    	-- [Rebirth]
     [171] = 4,    	-- [Regrowth] (Restoration)
     [172] = 4,    	-- [Rejuvenation] (Restoration)
     [173] = 4,    	-- [Healing Touch] (Restoration)
     [175] = 1,    	-- [Guided Stars] (Balance)
     [177] = 1,    	-- [Hurricane] (Balance)
     [178] = {2,3},    	-- [Skull Bash] (Feral, Guardian)
     [180] = 2,    	-- [Savage Roar] (Feral)
  -- [181] = ,    	-- [Entangling Roots]
     [434] = 4,    	-- [Blooming] (Restoration)
  -- [551] = ,    	-- [Dash]
  -- [631] = ,    	-- [Master Shapeshifter]
     [671] = {2,3},    	-- [Survival Instincts] (Feral, Guardian)
     [672] = 4,    	-- [Wild Growth] (Restoration)
  -- [674] = ,    	-- [Stampeding Roar]
  -- [675] = ,    	-- [Cyclone]
     [676] = {1,3,4},   -- [Barkskin] (Balance, Guardian, Restoration)
     [831] = 2,    	-- [Ferocious Bite] (Feral)
     [933] = 3,    	-- [Fae Silence] (Guardian)
     [934] = {2,3},    	-- [Faerie Fire] (Feral, Guardian)
     [936] = 2,    	-- [Cat Form] (Feral)
     [1117] = 1,    	-- [Astral Communion] (Balance)
     [1118] = 1,    	-- [Imbued Bark] (Balance)
     [1119] = 4,    	-- [Enchanted Bark] (Restoration)
     [1121] = 2,    	-- [Ninth Life] (Feral)
     [1122] = 1,    	-- [Celestial Alignment] (Balance)
     [1124] = 2,    	-- [Maim] (Feral)
     [1125] = {1,4},    -- [Shapemender] (Balance, Restoration)
     [1126] = 1,    	-- [Moonwarding] (Balance)
     [1205] = 2,    	-- [Savagery] (Feral)
     [1210] = 4,    	-- [Nature's Cure] (Restoration)

-- Monk  1 = Brewmaster, 2 = Mistweaver, 3 = Windwalker
  -- [997] = ,    	-- [Rapid Rolling]
     [998] = 1,    	-- [Guard] (Brewmaster)
     [999] = {1,3},    	-- [Zen Meditation] (Brewmaster, Windwalker)
     [1001] = 2,    	-- [Surging Mist] (Mistweaver)
  -- [1011] = ,    	-- [Transcendence]
     [1013] = 2,    	-- [Renewing Mist] (Mistweaver)
  -- [1014] = ,    	-- [Touch of Death]
     [1015] = 1,    	-- [Breath of Fire] (Brewmaster)
     [1019] = 2,    	-- [Mana Tea] (Mistweaver)
     [1021] = 1,    	-- [Leer of the Ox] (Brewmaster)
  -- [1025] = ,    	-- [Fortuitous Spheres]
     [1026] = 2,    	-- [Life Cocoon] (Mistweaver)
  -- [1030] = ,    	-- [Fortifying Brew]
  -- [1031] = ,    	-- [Detox]
  -- [1032] = ,    	-- [Nimble Brew]
  -- [1034] = ,    	-- [Targeted Expulsion]
     [1035] = 3,    	-- [Fists of Fury] (Windwalker)
     [1038] = 3,    	-- [Touch of Karma] (Windwalker)
  -- [1040] = ,    	-- [Paralysis]
     [1135] = 1,    	-- [Expel Harm] (Brewmaster)
     [1136] = 3,    	-- [Floating Butterfly] (Windwalker)
     [1137] = 3,    	-- [Flying Serpent] (Windwalker)
     [1138] = 1,    	-- [Keg Smash] (Brewmaster)
     [1139] = 2,    	-- [Renewed Tea] (Mistweaver)
  -- [1140] = ,    	-- [Victory Roll]
  -- [1141] = ,    	-- [Freedom Roll]
     [1142] = 2,    	-- [Soothing Mist] (Mistweaver)
     [1143] = 2,    	-- [Zen Focus] (Mistweaver)
     [1209] = 2,    	-- [Detoxing] (Mistweaver)
     [1212] = 3,    	-- [Flying Fists] (Windwalker)

-- Priest  1 = Discipline, 2 = Holy, 3 = Shadow
     [251] = 2,    	-- [Circle of Healing] (Holy)
     [252] = {1,2},    	-- [Purify] (Discipline, Holy)
  -- [253] = ,    	-- [Fade]
  -- [254] = ,    	-- [Fear Ward]
     [258] = 2,    	-- [Deep Wells] (Holy)
  -- [259] = ,    	-- [Mass Dispel]
     [260] = 3,    	-- [Psychic Horror] (Shadow)
     [261] = {1,2},    	-- [Holy Fire] (Discipline, Holy)
  -- [262] = ,    	-- [Weakened Soul]
  -- [263] = ,    	-- [Power Word: Shield]
     [264] = 2,    	-- [Spirit of Redemption] (Holy)
  -- [265] = ,    	-- [Psychic Scream]
     [266] = 2,    	-- [Renew] (Holy)
  -- [267] = ,    	-- [Scourge Imprisonment]
     [268] = 3,    	-- [Mind Blast] (Shadow)
  -- [269] = ,    	-- [Dispel Magic]
     [270] = {1,2},    	-- [Smite] (Discipline, Holy)
  -- [271] = ,    	-- [Prayer of Mending]
  -- [459] = ,    	-- [Levitate]
  -- [462] = ,    	-- [Reflective Shield]
     [708] = 3,    	-- [Dispersion] (Shadow)
  -- [709] = ,    	-- [Leap of Faith]
     [710] = 1,    	-- [Penance] (Discipline)
  -- [711] = ,    	-- [Focused Mending]
     [712] = 3,    	-- [Mind Spike] (Shadow)
     [713] = 2,    	-- [Binding Heal] (Holy)
     [1003] = 3,    	-- [Mind Flay] (Shadow)
     [1005] = 3,    	-- [Shadow Word: Death] (Shadow)
     [1006] = 3,    	-- [Vampiric Embrace] (Shadow)
     [1046] = 2,    	-- [Lightwell] (Holy)
     [1150] = 3,    	-- [Free Action] (Shadow)
     [1151] = 3,    	-- [Delayed Coalescence] (Shadow)
     [1152] = 2,    	-- [Guardian Spirit] (Holy)
  -- [1153] = ,    	-- [Restored Faith]
     [1154] = 3,    	-- [Miraculous Dispelling] (Shadow)
     [1155] = {1,2},    -- [Inquisitor] (Discipline, Holy)
     [1156] = 3,    	-- [Silence] (Shadow)
     [1157] = 2,    	-- [Redeemer] (Holy)
     [1158] = {1,2},    -- [Shadow Magic] (Discipline, Holy)
     [1202] = 3,    	-- [Mind Harvest] (Shadow)
     [1211] = {1,2},    -- [Purification] (Discipline, Holy)

-- Hunter  1 = Beast Mastery, 2 = Marksmanship, 3 = Survival
  -- [352] = ,    	-- [Camouflage]
  -- [353] = ,    	-- [Liberation]
  -- [354] = ,    	-- [Mending]
  -- [355] = ,    	-- [Distracting Shot]
     [356] = 1,    	-- [Endless Wrath] (Beast Mastery)
  -- [357] = ,    	-- [Deterrence]
  -- [358] = ,    	-- [Disengage]
  -- [359] = ,    	-- [Freezing Trap]
  -- [360] = ,    	-- [Ice Trap]
  -- [361] = ,    	-- [Misdirection]
  -- [362] = ,    	-- [Explosive Trap]
  -- [363] = ,    	-- [Animal Bond]
  -- [364] = ,    	-- [No Escape]
  -- [365] = ,    	-- [Pathfinding]
  -- [369] = ,    	-- [Mend Pet]
  -- [371] = ,    	-- [Solace]
     [677] = 2,    	-- [Chimaera Shot] (Marksmanship)
  -- [691] = ,    	-- [Tranquilizing Shot]
  -- [693] = ,    	-- [Master's Call]
  -- [695] = ,    	-- [Mirrored Blades]
  -- [1023] = ,    	-- [Black Ice]
  -- [1102] = ,    	-- [Lean Pack]
  -- [1104] = ,    	-- [Enduring Deceit]
  -- [1130] = ,    	-- [Quick Revival]
  -- [1131] = ,    	-- [Snake Trap]

-- Paladin  1 = Holy, 2 = Protection, 3 = Retribution
  -- [183] = ,    	-- [Double Jeopardy]
     [184] = 1,    	-- [Devotion Aura] (Holy)
     [185] = 2,    	-- [Holy Wrath] (Protection)
  -- [186] = ,    	-- [Divine Protection]
     [187] = 3,    	-- [Templar's Verdict] (Retribution)
     [188] = {1,3},    	-- [Avenging Wrath] (Holy, Retribution)
     [189] = 2,    	-- [Consecration] (Protection)
     [191] = 2,    	-- [Focused Shield] (Protection)
  -- [192] = ,    	-- [Burden of Guilt]
     [194] = 2,    	-- [Final Wrath] (Protection)
  -- [195] = ,    	-- [Word of Glory]
  -- [197] = ,    	-- [Harsh Words]
  -- [198] = ,    	-- [Divinity]
     [199] = 1,    	-- [Light of Dawn] (Holy)
  -- [200] = ,    	-- [Blessed Life]
  -- [455] = ,    	-- [Flash of Light]
     [559] = 1,    	-- [Denounce] (Holy)
     [560] = 2,    	-- [Dazing Shield] (Protection)
     [561] = {2,3},    	-- [Immediate Truth] (Protection, Retribution)
     [701] = 1,    	-- [Beacon of Light] (Holy)
     [703] = 3,    	-- [Divine Storm] (Retribution)
     [704] = 2,    	-- [Alabaster Shield] (Protection)
     [706] = 1,    	-- [Holy Shock] (Holy)
  -- [930] = ,    	-- [Protector of the Innocent]
  -- [996] = ,    	-- [Battle Healer]
     [1009] = 3,    	-- [Mass Exorcism] (Retribution)
  -- [1067] = ,    	-- [Divine Shield]
  -- [1068] = ,    	-- [Hand of Sacrifice]
     [1144] = 2,    	-- [Ardent Defender] (Protection)
     [1145] = 2,    	-- [Consecrator] (Protection)
     [1146] = 1,    	-- [Divine Wrath] (Holy)
  -- [1147] = ,    	-- [Liberator]
  -- [1148] = ,    	-- [Hand of Freedom]
  -- [1149] = ,    	-- [Judgment]
     [1203] = 1,    	-- [Merciful Wrath] (Holy)
     [1208] = 1,    	-- [Cleanse] (Holy)

}
  
